package com.zhiyun.common.utils;

import com.alibaba.fastjson2.JSON;
import org.apache.http.HttpEntity;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.ContentType;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;

import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author yxk
 * @since 2024/10/31 9:57
 */
public class HttpClientUtil {
    /**
     * http post 请求
     */
    public static String doPost(String url, Map<String, Object> params, Map<String, String> headers) {
        String result = null;
        CloseableHttpClient httpClient = HttpClients.createDefault();
        CloseableHttpResponse response = null;
        try {
            //2. 创建post请求
            HttpPost httpPost = new HttpPost(url);

            //4.设置请求头
            for (String head : headers.keySet()) {
                httpPost.addHeader(head, headers.get(head));
            }
            //3.请求参数
            if (headers.containsKey("Content-type") && headers.get("Content-type").equals("application/json")) {
                httpPost.setEntity(new StringEntity(JSON.toJSONString(params), ContentType.APPLICATION_JSON));
            } else {
                List<BasicNameValuePair> paramsList = params.keySet().stream().map(key -> new BasicNameValuePair(key, params.get(key).toString())).collect(Collectors.toList());
                httpPost.setEntity(new UrlEncodedFormEntity(paramsList, "UTF-8"));
            }
            response = httpClient.execute(httpPost);
            //7. 转换成实体类
            HttpEntity entity = response.getEntity();
            if (null != entity) {
                result = EntityUtils.toString(entity, "UTF-8");
            }
            EntityUtils.consume(entity);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            //8. 关闭所有资源连接
            if (null != response) {
                try {
                    response.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            if (null != httpClient) {
                try {
                    httpClient.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        return result;
    }

}
