package com.zhiyun.framework.config.mqtt;

/**
 * 常量数据
 *
 * @author yang xiao kun
 * create on 2021/2/2
 */
public class MqttConstant {
    /**
     * 前缀
     */
    public static class PREF {
        // rabbit MQ 用户名前缀
        public static final String RABBIT_MQ_USERNAME = "IMEI";

    }

    /**
     * MQTT 协议报文 中 M值
     */
    public static class M {
        //设备发送注册请求
        public static final String REGISTER = "10";
        //服务器响应设备注册请求
        public static final String HANDLE_REGISTER = "11";
        //普适型 - 设备心跳包
        public static final String UBI_HEARTBEAT = "21";

    }

    /**
     * 主题前缀
     * SERVER为服务器订阅主题  用来接收设备发来消息
     * CLIENT为设备订阅主题    用来发送消息给设备
     */
    public static class TOPIC {
        // 设备注册时device -> server主题，仅设备注册使用
        public static final String REGISTER_SERVER = "$regdtx2";
        // 设备注册时server -> device主题，仅设备注册使用
        public static final String REGISTER_CLIENT = "$regdrx2";
        // device -> server 通讯主题
        public static final String DEVICE_SERVER = "$dtx2/#";
        // 设备设置指令主题
        public static final String DEVICE_SERVER_NEW = "/device/+/DTU/+";

    }

    /**
     * 通过订阅的主题裁剪出openNum
     *
     * @param topic 主题
     */
    public static String splitOpenNum(String topic) {
        String[] result = topic.split(PREF.RABBIT_MQ_USERNAME);
        return result.length > 1 ? result[1] : null;
    }

    /**
     * 通过订阅的主题裁剪出openNum
     *
     * @param topic 主题
     */
    public static String splitDevicenameNew(String topic) {
        String[] result = topic.split("/");
        return result.length > 2 ? result[2] : null;
    }
}
