
package com.zhiyun.framework.web;

import com.google.common.collect.Lists;
import com.zhiyun.common.exception.UserException;
import com.zhiyun.common.utils.SecurityUtils;
import com.zhiyun.project.project.mapper.DeviceMapper;
import com.zhiyun.project.system.domain.dto.LoginUser;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户权限处理
 *
 * @author ruoyi
 */
@Slf4j
@Component
public class SysPermissionService {

    @Autowired
    private DeviceMapper deviceMapper;

    /**
     * 检查用户设备数据权限
     */
    public void checkUserDevicePerm(String devicename) {
        checkUserDevicePerm(Lists.newArrayList(devicename));
    }

    public void checkUserDevicePerm(List<String> devicenameList) {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        if (deviceMapper.checkUserPrem(devicenameList, loginUser.getCpyid()) < devicenameList.size()) {
            log.error("用户{}无设备{}权限", loginUser.getUsername(), devicenameList);
            throw new UserException("无设备权限");
        }
    }

}
