package com.zhiyun.project.project.controller;

import com.zhiyun.common.annotation.Anonymous;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.project.service.HomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/home")
public class HomeController {

    @Autowired
    private HomeService homeService;

    /**
     * 各总数集合
     * @return
     */
    @GetMapping("/getIndexNum")
    @Anonymous
    public ApiResult getIndexNum() {
        return ApiResult.success(homeService.getIndexNum());
    }

    /**
     * 设备各类型数量
     * @return
     */
    @GetMapping("/getDeviceTypeNum")
    @Anonymous
    public ApiResult getDeviceTypeNum() {
        return ApiResult.success(homeService.getDeviceTypeNum());
    }

    /**
     * 获取分配数量
     */
    @GetMapping("/getOrAllotNum")
    @Anonymous
    public ApiResult getOrAllotNum() {
        return ApiResult.success(homeService.getOrAllotNum());
    }

}
