package com.zhiyun.project.project.controller;

import com.zhiyun.common.model.ApiResult;
import com.zhiyun.common.model.TableResult;
import com.zhiyun.project.project.domain.body.LogBody;
import com.zhiyun.project.project.domain.body.ProjectBody;
import com.zhiyun.project.project.service.LogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

@RestController
@RequestMapping("/log")
public class LogController {
    @Autowired
    private LogService logService;

    /**
     * 分页查询项目
     */
    @GetMapping("/listPage")
    public TableResult listPage(LogBody body) {
        return TableResult.getTableResult(logService.listPage(body));
    }

    /**
     * 删除项目
     */
    @PreAuthorize("@ss.checkAdmin()")
    @DeleteMapping("/remove/{logid}")
    public ApiResult remove(@PathVariable Integer logid) {
        return ApiResult.success(logService.removeById(logid));
    }


    /**
     * 实时日志
     */
    @GetMapping("/nowLog")
    public ApiResult nowLog(String devicename) {
        return ApiResult.success(logService.nowLog(devicename));
    }
}
