package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 设备状态表
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Data
public class DeviceState implements Serializable {

    /**
     * 序号
     */
    @TableId
    private Integer id;

    /**
     * 设备名称
     */
    private String devicename;

    /**
     * 相应频率
     */
    private Integer freq;

    /**
     * 电压
     */
    private BigDecimal powerVolt;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 4g信号强度
     */
    private String signal4g;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 备注
     */
    private String oemType;


    /**
     * 版本
     */
    private String version;

    /**
     * 更新时间
     */
    private LocalDateTime uploadTime;
}
