package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
public class MqttLog {

    @TableId
    private Integer id;

    /**
     * 日志类型
     */
    private Integer type;

    /**
     * 主题
     */
    private String topic;

    /**
     * 设备名称
     */
    private String devicename;

    /**
     * 命令表ID
     */
    private Integer cmdid;
    private String commandTitle;

    /**
     * 发送内容
     */
    private String content;

    /**
     * 状态
     */
    private Integer status;

    private Date createTime;

    public MqttLog(String topic, String devicename, Integer type, Integer cmdid, String content,Integer status) {
        this.topic = topic;
        this.type = type;
        this.devicename = devicename;
        this.cmdid = cmdid;
        this.content = content;
        this.status = status;
    }

    public MqttLog(String topic, String devicename, Integer type, String content, Integer status) {
        this.topic = topic;
        this.type = type;
        this.devicename = devicename;
        this.content = content;
        this.status = status;
    }

    /**
     * 创建普通日志
     */
    public static MqttLog createNormal(String topic, String devicename, Integer type, String content,Integer status) {
        return new MqttLog(topic, devicename, type, content,status);
    }

    /**
     * 创建普通日志
     * 包含指令
     */
    public static MqttLog createWithCmd(String topic, String devicename, Integer type, Integer cmdid, String content,Integer status) {
        return new MqttLog(topic, devicename, type, cmdid, content,status);
    }
}