package com.zhiyun.project.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.project.domain.body.DeviceBody;
import com.zhiyun.project.project.domain.dto.Perm;
import com.zhiyun.project.project.domain.entity.Device;
import com.zhiyun.project.project.domain.vo.DeviceVo;
import com.zhiyun.project.project.domain.vo.SelectOptionsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 设备表 Mapper 接口
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Mapper
public interface DeviceMapper extends BaseMapper<Device> {

    /**
     * 获取未分配项目的设备
     */
    List<DeviceVo> listNoAllotDevice();

    /**
     * 站点信息详查列表
     */
    Page<DeviceVo> listPage(Page<DeviceVo> page, @Param("perm") Perm perm, @Param("param") DeviceBody body);

    /**
     * 设备筛选项
     */
    List<SelectOptionsVo> listDeviceOption(@Param("perm") Perm perm);

    /**
     * 校验用户设备权限
     */
    int checkUserPrem(@Param("list") List<String> devicename, @Param("cpyid") Integer cpyid);

    /**
     * 逻辑批量删除设备
     */
    void removeByDevicename(@Param("list") List<String> devicenames);

    /**
     * 获取设备类型数量
     * @return
     */
    List<Map<String,Integer>> getDeviceCount();

    /**
     * 获取未分配数量
     */
    Long noAllotNum();
}
