package com.zhiyun.project.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.project.domain.body.ProjectBody;
import com.zhiyun.project.project.domain.dto.Perm;
import com.zhiyun.project.project.domain.entity.Project;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目表 Mapper 接口
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Mapper
public interface ProjectMapper extends BaseMapper<Project> {

    /**
     * 查询所有的项目
     */
    List<Project> listProject(@Param("perm") Perm perm);

    /**
     * 分页查询
     */
    Page<Project> listPage(Page<Project> page, @Param("param") ProjectBody param);
}
