package com.zhiyun.project.project.mqtt;

import com.zhiyun.framework.config.mqtt.MqttConstant;
import com.zhiyun.project.project.domain.dto.MqttDTO;
import com.zhiyun.project.project.domain.entity.Device;
import com.zhiyun.project.project.domain.entity.DeviceState;

import java.math.BigDecimal;

/**
 * 实体类转换
 *
 * @author yang xiao kun
 * create on 2021/7/6
 */
public class TransformEntity {

    /**
     * 设备注册 - 转换为DeviceBase
     */
    public static Device tsf2DeviceBase(MqttDTO dto) {
        Device device = new Device();
        String openNum = dto.getString("regnum");
        device.setDevicename(openNum);
        device.setGroupId(dto.getString("group"));
        device.setMqttUsername(MqttConstant.PREF.RABBIT_MQ_USERNAME + openNum);
        device.setMqttPassword("psd::" + openNum);
        device.setSn("SN:" + openNum);
        device.setType(dto.getString("type"));
        return device;
    }

    /**
     * 普适型 - 心跳包记录
     */
    public static DeviceState tsf2DeviceStateRecord(String devicename, MqttDTO dto) {
        DeviceState result = new DeviceState();
        result.setDevicename(devicename);
        result.setFreq(dto.getInt("freq"));
        result.setPowerVolt(BigDecimal.valueOf(dto.getDouble("powervolt")));
        result.setOemType(dto.getString("oemtype"));
        result.setSatNum(dto.getInt("satsum"));
        result.setSignal4g(dto.getString("signal4g"));
        result.setLat(dto.getString("lat"));
        result.setLon(dto.getString("lon"));
        result.setVersion(dto.getString("version"));
        result.setUploadTime(dto.getDate("timee"));
        return result;
    }
}
