package com.zhiyun.project.project.mqtt.handler;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.zhiyun.framework.config.mqtt.MqttConstant;
import com.zhiyun.project.project.domain.entity.MqttLog;
import com.zhiyun.project.project.service.LogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * MQTT 消息返回处理类
 *
 * @author yang xiao kun
 * create on 2021/1/19
 */
@Slf4j
@Component
public class MqttCallbackHandler {

    @Autowired
    LogService logService;
    @Autowired
    OldHandler oldHandler;

    private static final Integer type = 2;

    /**
     * 处理消息
     *
     * @param topic   主题
     * @param payload 消息内容
     */
    public void handle(String topic, String payload) {
        if (ifOld(topic)) {
            oldHandler.handle(topic, payload);
            return;
        }
        //获取设备名称
        String devicename = MqttConstant.splitDevicenameNew(topic);
        //TODO 新逻辑
        JSONObject jsonObject = JSON.parseObject(payload);
        Integer code =jsonObject.getIntValue("code");
        logService.save(MqttLog.createNormal(topic, devicename, type, payload,code));

    }


    private boolean ifOld(String topic) {
        return topic.startsWith(MqttConstant.TOPIC.REGISTER_SERVER) || topic.startsWith(MqttConstant.TOPIC.DEVICE_SERVER);
    }
}
