package com.zhiyun.project.project.mqtt.sender;

import com.zhiyun.framework.config.mqtt.MqttConstant;
import com.zhiyun.project.project.domain.dto.MqttDTO;
import com.zhiyun.project.project.domain.entity.Device;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author yang xiao kun
 * create on 2021/10/26
 */
@Slf4j
@Component
public class CommonSender extends BaseSender {
    /**
     * 处理设备注册请求
     * 返回登录密码
     * @param device 设备信息
     */
    public void register(Device device) {
        MqttDTO mqttDTO = new MqttDTO(MqttConstant.M.HANDLE_REGISTER);
        mqttDTO.put("regnum", device.getDevicename())
                .put("password", device.getMqttPassword()).put("group", device.getGroupId())
                .put("sn", device.getSn()).put("type", device.getType());
        send(device.getDevicename(), MqttConstant.TOPIC.REGISTER_CLIENT, mqttDTO.json());
    }


}
