package com.zhiyun.project.project.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class HomeService {

    @Autowired
    private CompanyService companyService;

    @Autowired
    private ProjectService projectService;

    @Autowired
    private DeviceService deviceService;

    @Autowired
    private LogService logService;

    public Map<String, Long> getIndexNum(){
        Map<String, Long> map = new HashMap<>();
        long companyCount = companyService.count();
        long projectCount = projectService.count();
        long deviceCount = deviceService.count();
        long logCount = logService.count();

        map.put("company", companyCount);
        map.put("project", projectCount);
        map.put("device", deviceCount);
        map.put("log", logCount);
        return map;
    }

    public List<Map<String,Integer>> getDeviceTypeNum() {

        List<Map<String,Integer>> deviceCount = deviceService.getDeviceCount();

        return deviceCount;
    }

    public Map<String,Long> getOrAllotNum() {
        Map<String,Long> map = new HashMap<>();
        long deviceCount = deviceService.count();
        long noAllotNum = deviceService.noAllotNum();
        map.put("all", deviceCount);
        map.put("noAllot", noAllotNum);
        return map;
    }
}
