package com.zhiyun.project.project.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.framework.UserDataScope;
import com.zhiyun.project.project.domain.body.ProjectBody;
import com.zhiyun.project.project.domain.entity.Project;
import com.zhiyun.project.project.mapper.ProjectMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目表 服务实现类
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Service
public class ProjectService extends ServiceImpl<ProjectMapper, Project> {

    public Page<Project> listPage(ProjectBody body) {
        return baseMapper.listPage(body.getPage(), body);
    }

    /**
     * 查询所有的项目
     */
    public List<Project> listProject() {
        return baseMapper.listProject(UserDataScope.getDataScopePerm());
    }

}
