package com.zhiyun.project.system.controller;

import com.zhiyun.common.model.ApiResult;
import com.zhiyun.common.utils.StringUtils;
import com.zhiyun.project.common.BaseController;
import com.zhiyun.project.system.domain.entity.SysDictData;
import com.zhiyun.project.system.service.ISysDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据字典信息
 *
 * @author ruoyi
 */
@RestController
@RequestMapping("/system/dict/data")
public class SysDictController extends BaseController {
    @Autowired
    private ISysDictService dictService;

    /**
     * 重置字典表
     */
    @PreAuthorize("@ss.checkAdmin()")
    @GetMapping("/reloadDict")
    public ApiResult reloadDict() {
        dictService.resetDictCache();
        return ApiResult.success();
    }

    /**
     * 根据字典类型查询字典数据信息
     */
    @GetMapping(value = "/type/{dictType}")
    public ApiResult dictType(@PathVariable String dictType) {
        List<SysDictData> data = dictService.getDictByType(dictType);
        if (StringUtils.isNull(data)) {
            data = new ArrayList<>();
        }
        return ApiResult.success(data);
    }

}
