package com.zhiyun.project.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.project.system.domain.body.SysMenuBody;
import com.zhiyun.project.system.domain.entity.SysMenu;
import com.zhiyun.project.system.domain.vo.SysMenuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单表 数据层
 *
 * @author ruoyi
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * 查询系统菜单列表
     *
     * @param param 菜单信息
     */
    List<SysMenuVo> queryMenuList(@Param("param") SysMenuBody param);

    /**
     * 通过系统类型查询菜单
     */
    List<SysMenuVo> queryBySysType(@Param("sysType") String sysType);

    /**
     * 根据项目ID查询菜单
     */
    List<SysMenuVo> queryMenuTreeByMineId(@Param("ifAdmin")Boolean ifAdmin);

    /**
     * 根据角色ID查询已有权限的菜单ID
     */
    List<Long> getMenuIdsByMineId(@Param("mineId") Integer mineId);

    /**
     * 是否存在菜单子节点
     */
    int hasChildByMenuId(Integer menuId);

    /**
     * 校验菜单名称是否唯一
     *
     * @param menuName 菜单名称
     * @param parentId 父菜单ID
     */
    Long checkMenuNameUnique(@Param("menuName") String menuName, @Param("parentId") Long parentId);
}
