package com.zhiyun.project.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.project.domain.dto.Perm;
import com.zhiyun.project.system.domain.body.SysUserBody;
import com.zhiyun.project.system.domain.entity.SysUser;
import com.zhiyun.project.system.domain.vo.SysUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 用户表 数据层
 *
 * @author ruoyi
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {
    /**
     * 根据条件分页查询用户列表
     */
    Page<SysUserVo> selectUserList(Page<SysUserVo> page, @Param("perm") Perm perm, @Param("param") SysUserBody param);

    /**
     * 批量删除用户信息
     */
    int deleteUserById(@Param("userId") Integer userId);

    /**
     * 校验字段唯一
     */
    int checkFieldUnique(@Param("userId") Long userId, @Param("field") String field, @Param("value") String value);

}
