package com.zhiyun.project.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.system.domain.body.SysMenuBody;
import com.zhiyun.project.system.domain.entity.SysMenu;
import com.zhiyun.project.system.domain.vo.SysMenuVo;
import com.zhiyun.project.system.domain.vo.TreeSelect;

import java.util.List;
import java.util.Map;

/**
 * 菜单 业务层
 *
 * @author ruoyi
 */
public interface ISysMenuService extends IService<SysMenu> {

    /**
     * 根据用户查询系统菜单列表
     */
    List<SysMenuVo> getMenuList(SysMenuBody body);

    /**
     * 通过系统类型查询菜单
     */
    List<SysMenuVo> getMenusBySysType(String sysType);

    /**
     * 根据项目ID查询菜单树信息
     */
    List<SysMenuVo> getMenuTreeByMineId(Integer userId);

    /**
     * 获取矿区菜单权限筛选
     */
    Map<String, Object> getMineMenuTreeSelect(Integer mineId);

    /**
     * 删除菜单
     */
    ApiResult remove(Integer menuId);

    /**
     * 校验菜单名称是否唯一
     */
    String checkMenuNameUnique(SysMenu menu);
}
