package com.zhiyun.project.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.project.system.domain.body.SysUserBody;
import com.zhiyun.project.system.domain.entity.SysUser;
import com.zhiyun.project.system.domain.vo.SysUserVo;

/**
 * 用户 业务层
 *
 * @author ruoyi
 */
public interface ISysUserService extends IService<SysUser> {
    String FIELD_USERNAME = "user_name";

    /**
     * 根据条件分页查询用户列表
     */
    Page<SysUserVo> selectUserPage(SysUserBody body);

    /**
     * 修改用户信息
     */
    int updateUser(SysUser user);

    /**
     * 批量删除用户信息
     */
    boolean deleteUserById(Integer userId);

    /**
     * 校验字段否唯一
     * true:唯一
     * false:不唯一
     */
    boolean checkFieldUnique(Long userId, String field, String value);

}
