package com.zhiyun.project.system.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.common.exception.ServiceException;
import com.zhiyun.framework.UserDataScope;
import com.zhiyun.project.system.domain.body.SysUserBody;
import com.zhiyun.project.system.domain.entity.SysUser;
import com.zhiyun.project.system.domain.vo.SysUserVo;
import com.zhiyun.project.system.mapper.SysUserMapper;
import com.zhiyun.project.system.service.ISysUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 用户 业务层处理
 *
 * @author ruoyi
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Resource
    private SysUserMapper userMapper;

    @Override
    public Page<SysUserVo> selectUserPage(SysUserBody body) {
        return userMapper.selectUserList(body.getPage(), UserDataScope.getDataScopePerm(), body);
    }

    @Override
    public int updateUser(SysUser user) {
        //用户名不能修改
        user.setUserName(null);
        user.setPassword(null);
        return userMapper.updateById(user);
    }

    @Override
    public boolean deleteUserById(Integer userId) {
        if (UserDataScope.isAdmin(userId)) {
            throw new ServiceException("无操作权限!");
        }
        return userMapper.deleteUserById(userId) > 0;
    }

    @Override
    public boolean checkFieldUnique(Long userId, String field, String value) {
        return userMapper.checkFieldUnique(userId, field, value) <= 0;
    }

}
